%define version 0.5.3
%define release 9mdk

Name: harddrake
Version: %{version}
Release: %{release}
Copyright: GPL
Summary: Hardware Central Configuration Tool
Group: System/Configuration/Hardware 
Source: %{name}-%{PACKAGE_VERSION}.tar.bz2
Source1: harddrake-icons.tar.bz2
Requires: gtk+ >= 1.2.3, detect >= 0.9.29
Url: http://www.linuxmandrake.com/lothar
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
ExclusiveArch: i386 i486 i586 i686 k6 k7
Obsoletes: lothar

%description
This is the central configuration tool that calls all the other
configuration tools.

%prep
%setup -n %{name}

%build
env CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" sh ./autogen.sh  \
	--prefix=%{_prefix} \
	--with-x \
	--with-detect-prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
(cd $RPM_BUILD_ROOT/usr/share/icons/
bzcat %{SOURCE1} |tar x
)

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}): \
command="kdesu -c '/usr/bin/harddrake'" \
needs="x11" icon="%{name}.xpm" \
section="Configuration/Hardware" title="HardDrake" \
longtitle="Hardware Configuration Tool"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%postun
if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
/usr/bin/*
/usr/share/locale/*/LC_MESSAGES/harddrake.mo
/usr/share/pixmaps/harddrake
/usr/share/icons/*xpm
/usr/share/icons/*/*xpm
/usr/lib/menu/%{name}

%changelog
* Sun May  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.3-9mdk
- Add icons.
- Remove gnome and kdelnk entry use menu instead.
- Clean up specs.

* Thu Apr 27 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.5.3-8mdk
- Fixed etherdrake and sounddrake calls. 
- Replaced old lothar about logo by new one. 

* Tue Apr 11 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.5.3-7mdk
- Call etherdrake instead of etherconfig
- Call sounddrake instead of soundconfig

* Fri Apr 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.5.3-6mdk
- Lothar becomes HardDrake

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.3-5mdk
- fix group

* Tue Dec 28 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5.3

* Fri Dec 17 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5.2

* Wed Dec 08 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Removed kdesu&drakxtools dependencies.

* Mon Nov 23 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5.1
- Added drakxtools dependencies.

* Mon Nov 22 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Use kdesu instead of gsu(security bug).

* Thu Nov 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Fixed KDE entry.

* Fri Oct 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the horrible %files

* Thu Oct 28 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added root defattr.

* Wed Oct 27 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added reference for KDE desktop(call gsu if needed).

* Mon Oct 25 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5
- Added reference for GNOME desktop(call gsu if needed).
- Added URL.
- Decrease Gtk version dependence(Titi sucks)
- Added gsu dependence.

* Thu Sep 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.4.2 (as usual, more hardware are supported)

* Mon Jul 24 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.4.1

* Mon Jul 12 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.4

* Mon Jul 12 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- support for %_prefix
- optimized building rpm for both SMP and non SMP

* Fri Jul 9 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- striping files for smaller size
- docs now installed in /usr/doc/lothar-x.xx/

* Tue Jul 6 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- optimization for i586 and i686

* Sat Jul 3 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- Updated to version 0.2

* Wed Apr 28 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- hacked a patch to allow the pixmaps to be displayed

* Thu Apr 22 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca
- Attempting to build RPM

* Fri Mar 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
